Groups

Create group

POST
/groups.json

Create a new group

Authorization

ApiKeyAuth
headerX-Redmine-API-Key<token>

Request Body

application/json
  1. body
group*

Group create payload

Response Body

The request has succeeded and a new resource has been created as a result.

application/json
  1. response
group*

Redmine Group

curl -X POST 'https://redmine.example.com/groups.json' \  -H 'Content-Type: application/json' \  -d '{  "group": {    "name": "string"  }}'
{  "group": {    "id": 0,    "name": "string",    "builtin": "anonymous",    "custom_fields": [      {        "id": 0,        "name": "string",        "multiple": true,        "value": "string"      }    ],    "users": [      {        "id": 0,        "name": "string"      }    ],    "memberships": [      {        "id": 0,        "project": {          "id": 0,          "name": "string"        },        "user": {          "id": 0,          "name": "string"        },        "group": {          "id": 0,          "name": "string"        },        "roles": [          {            "id": 0,            "name": "string",            "inherited": true          }        ]      }    ]  }}